Bug 1014634 - Error handling when iso repo sync fails for not providing feed certs does not indicate why its failing.
Error handling when iso repo sync fails for not providing feed certs does no...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
pulp-qe-list
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 08:50 EDT by Preethi Thomas
Modified: 2015-02-28 16:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:59:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 375 None None None Never

  None (edit)
Description Preethi Thomas 2013-10-02 08:50:10 EDT
Description of problem:

Error handling when iso repo sync fails for not providing  feed certs does not indicate why its failing. At the very least it should be consistent with rpm sync error for the same scenario.
 
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create a iso cdn repo without using the cert options
2. sync the repo
3.

Actual results:
[root@ibm-ls22-02 ~]# pulp-admin iso repo create --repo-id iso-rhel6 --feed https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6.4/i386/iso/ 
Successfully created repository [iso-rhel6]


[root@ibm-ls22-02 ~]# pulp-admin iso repo sync run --repo-id iso-rhel6
+----------------------------------------------------------------------+
                  Synchronizing Repository [iso-rhel6]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading the Pulp Manifest...
Downloading the Pulp Manifest failed:

	{}


Expected results:


Additional info:

from pulp.log

2013-10-02 08:17:47,926 pulp.server.dispatch.task:ERROR: Importer indicated a failed response
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 138, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/sync.py", line 116, in sync
    raise PulpExecutionException(_('Importer indicated a failed response'))
PulpExecutionException: Importer indicated a failed response
2013-10-02 08:17:47,927 pulp.server.dispatch.task:INFO: FAILURE: Task 37667b56-4d6e-44ca-bc3b-31e0c3254a0b: CallRequest: RepoSyncManager.sync(u'iso-rhel6', sync_config_override=None)
Comment 1 Chris Duryee 2014-11-11 22:12:05 EST
This still occurs on pulp 2.4.3.

$ pulp-admin iso repo create --repo-id iso-rhel6 --feed https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6.4/i386/iso/

$ pulp-admin iso repo sync run --repo-id iso-rhel6                                                                                            
+----------------------------------------------------------------------+
                  Synchronizing Repository [iso-rhel6]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Downloading the Pulp Manifest failed:

        {}


Task Failed

Importer indicated a failed response


The error is logged but does not bubble up to the command line.
Comment 2 Brian Bouterse 2015-02-28 16:59:01 EST
Moved to https://pulp.plan.io/issues/375

Note You need to log in before you can comment on or make changes to this bug.